Package org.eclipse.emf.cdo.transfer.ui.swt

# Class TransferDetailsComposite.UnmappedModelsLabelProvider

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.emf.cdo.transfer.ui.swt.TransferDetailsComposite.UnmappedModelsLabelProvider

All Implemented Interfaces:
  `IBaseLabelProvider`, `IColorProvider`, `ILabelProvider`

Enclosing class:
  `TransferDetailsComposite`

public static class TransferDetailsComposite.UnmappedModelsLabelProvider extends LabelProvider implements IColorProvider
A reusable `label provider` for the `unmapped models` of a `transfer`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`GRAY`
Deprecated.
`static final Color`
`RED`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`UnmappedModelsLabelProvider(CDOTransfer transfer)`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackground(Object element)`
`Color`
`getForeground(Object element)`
`String`
`getText(Object element)`
`CDOTransfer`
`getTransfer()`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider, getImage`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Field Details

### GRAY

@Deprecated public static final Color GRAY
Deprecated.

### RED

@Deprecated public static final Color RED
Deprecated.

## Constructor Details

### UnmappedModelsLabelProvider

public UnmappedModelsLabelProvider(CDOTransfer transfer)

## Method Details

### getTransfer

public CDOTransfer getTransfer()

### getText

public String getText(Object element)

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`

### getForeground

public Color getForeground(Object element)

Specified by:
  `getForeground` in interface `IColorProvider`

### getBackground

public Color getBackground(Object element)

Specified by:
  `getBackground` in interface `IColorProvider`